# DataExchange
TKXSBase
Interface

# Interface_DataMapOfTransientInteger Class Reference

`#include <Interface_DataMapOfTransientInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_DataMapOfTransientInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT Interface_DataMapOfTransientInteger & | Assign (const Interface_DataMapOfTransientInteger &Other)
Interface_DataMapOfTransientInteger & | operator= (const Interface_DataMapOfTransientInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Interface_DataMapOfTransientInteger ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Transient)&K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Transient)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Transient)&K)
Standard_EXPORT const Standard_Integer & | Find (const Handle(Standard_Transient)&K) const
const Standard_Integer & | operator() (const Handle(Standard_Transient)&K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const Handle(Standard_Transient)&K)
Standard_Integer & | operator() (const Handle(Standard_Transient)&K)

## Private Member Functions

Standard_EXPORT | Interface_DataMapOfTransientInteger (const Interface_DataMapOfTransientInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Interface_DataMapOfTransientInteger::Interface_DataMapOfTransientInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

Interface_DataMapOfTransientInteger::~Interface_DataMapOfTransientInteger | ( |  | ) | `[inline]`

Standard_EXPORT Interface_DataMapOfTransientInteger::Interface_DataMapOfTransientInteger | ( | const Interface_DataMapOfTransientInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Interface_DataMapOfTransientInteger& Interface_DataMapOfTransientInteger::Assign | ( | const Interface_DataMapOfTransientInteger & | Other | ) |

Standard_EXPORT Standard_Boolean Interface_DataMapOfTransientInteger::Bind | ( | const Handle(Standard_Transient)& | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& Interface_DataMapOfTransientInteger::ChangeFind | ( | const Handle(Standard_Transient)& | K | ) |

Standard_EXPORT void Interface_DataMapOfTransientInteger::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& Interface_DataMapOfTransientInteger::Find | ( | const Handle(Standard_Transient)& | K | ) | const

Standard_EXPORT Standard_Boolean Interface_DataMapOfTransientInteger::IsBound | ( | const Handle(Standard_Transient)& | K | ) | const

void Interface_DataMapOfTransientInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_DataMapOfTransientInteger::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_DataMapOfTransientInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& Interface_DataMapOfTransientInteger::operator() | ( | const Handle(Standard_Transient)& | K | ) | `[inline]`

const Standard_Integer& Interface_DataMapOfTransientInteger::operator() | ( | const Handle(Standard_Transient)& | K | ) | const`[inline]`

Interface_DataMapOfTransientInteger& Interface_DataMapOfTransientInteger::operator= | ( | const Interface_DataMapOfTransientInteger & | Other | ) | `[inline]`

Standard_EXPORT void Interface_DataMapOfTransientInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Interface_DataMapOfTransientInteger::UnBind | ( | const Handle(Standard_Transient)& | K | ) |

The documentation for this class was generated from the following file:

- Interface_DataMapOfTransientInteger.hxx